UI.moduleBuilder['Alexa']['register_setup'] = function() {
    var setupData = {
        titleImg:"Alexa/register/logo_alexa.png",
        title: "[SE3957]",
        helpText:"[SE3958]",
        codeMainFrameText1:"[SE3959]",
        codeMainFrameText2:"[SE3960]"
    }
    var template = Util.readJson("module/Alexa/register_setup.json");
    var register_setup = SubModule.create(setupData, template);
    register_setup.protected = true;

    var tiles = UI.getItem(register_setup, "tiles");
    var array = [];
    for (var i=0; i < 1; i++) {
        array.push({});
        array[i].name = "setup" + i;
        array[i].bgImg = UI.item_bg;
    }
    array[0].text = "[GE0013]";
//    array[1].text = "[GE0008]";
    var info = {
        template: "alexa_register_item",
        direction: CONST.GIRD_DIRECTION.H,
        breakNum: 1,
        distanceX: 0,
        distanceY: 24,
        container: tiles
    };
    Gird.create(array, info);

    register_setup.onPush = function(){
        register_setup.currFocus = tiles.children[0];
    }

    register_setup.onShow = function(){
        if(tv){
            try{
                pubAvsRegisterFinish();
            }catch(ex){
                DBG_ERROR(ex.message);
            }
        }
    }

    register_setup.onPop = function(){

    }

    tiles.children[0].onkey_ENTER = function(){
        registerUpdate(1);
    }

//    tiles.children[1].onkey_ENTER = function(){
//        Alexa.onkey_BACKSPACE();
//    }
}
